Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSplineWidget Class Reference

`#include <vtkSplineWidget.h>`

Inheritance diagram for vtkSplineWidget:

[legend]
Collaboration diagram for vtkSplineWidget:

[legend]
List of all members.

## Detailed Description

3D widget for manipulating a spline

Date:
  2003/01/29 21:33:53

Revision:
  1.8

This 3D widget defines a spline that can be interactively placed in a scene. The spline has handles, the number of which can be changed, plus it can be picked on the spline itself to translate or rotate it in the scene. A nice feature of the object is that the vtkSplineWidget, like any 3D widget, will work with the current interactor style. That is, if vtkSplineWidget does not handle an event, then all other registered observers (including the interactor style) have an opportunity to process the event. Otherwise, the vtkSplineWidget will terminate the processing of the event that it handles.

To use this object, just invoke SetInteractor() with the argument of the method a vtkRenderWindowInteractor. You may also wish to invoke "PlaceWidget()" to initially position the widget. The interactor will act normally until the "i" key (for "interactor") is pressed, at which point the vtkSplineWidget will appear. (See superclass documentation for information about changing this behavior.) By grabbing one of the spherical handles (use the left mouse button), the spline can be oriented and stretched (the other handles remain fixed). By grabbing the spline itself (left or middle mouse button), the entire spline can be translated. (Translation can also be employed by using the "shift-left-mouse-button" combination inside of the widget.) Scaling (about the center of the spline) is achieved by using the right mouse button. By moving the mouse "up" the render window the spline will be made bigger; by moving "down" the render window the widget will be made smaller. Finally, holding the ctrl key down and then grabbing either a handle or the spline itself with the middle mouse button enalbles spinning of the widget about its center. Events that occur outside of the widget (i.e., no part of the widget is picked) are propagated to any other registered obsevers (such as the interaction style). Turn off the widget by pressing the "i" key again (or invoke the Off() method).

The vtkSplineWidget has several methods that can be used in conjunction with other VTK objects. The Set/GetResolution() methods control the number of subdivisions of the spline; the GetPolyData() method can be used to get the polygonal representation and can be used for things like seeding streamlines or probing other data sets. Typical usage of the widget is to make use of the StartInteractionEvent, InteractionEvent, and EndInteractionEvent events. The InteractionEvent is called on mouse motion; the other two events are called on button down and button up (either left or right button).

Some additional features of this class include the ability to control the properties of the widget. You can set the properties of the selected and unselected representations of the spline. For example, you can set the property for the handles and spline. In addition there are methods to constrain the spline so that it is aligned with a plane. Note that a simple ruler widget can be derived by setting the resolution to 1, the number of handles to 2, and calling the GetSummedLength method!

Thanks:
  Thanks to Dean Inglis for developing and contributing this class.

Warning:
  Note that handles and line can be picked even when they are "behind" other actors. This is an intended feature and not a bug.

See also:
  vtk3DWidget vtkBoxWidget vtkLineWidget vtkPointWidget vtkSphereWidget vtkImagePlaneWidget vtkImplicitPlaneWidget vtkPlaneWidget

Events:
  vtkCommand::EnableEvent vtkCommand::InteractionEvent vtkCommand::EndInteractionEvent vtkCommand::DisableEvent vtkCommand::StartInteractionEvent

Created by:
  - dean

CVS contributions (if > 5%):
  - dean (97%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkSplineWidget.h)`
  - .`cxx` (`/Hybrid/vtkSplineWidget.cxx)`

Tests:
  vtkSplineWidget (Tests)

Definition at line 120 of file vtkSplineWidget.h.

## Public Types
typedef vtk3DWidget | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetPlaneSource (vtkPlaneSource *plane)
virtual void | SetProjectionNormal (int)
virtual int | GetProjectionNormal ()
void | SetProjectionNormalToXAxes ()
void | SetProjectionNormalToYAxes ()
void | SetProjectionNormalToZAxes ()
void | SetProjectionNormalToOblique ()
void | GetPolyData (vtkPolyData *pd)
float | GetSummedLength ()
virtual void | SetEnabled (int)
virtual void | PlaceWidget (float bounds[6])
void | PlaceWidget ()
void | PlaceWidget (float xmin, float xmax, float ymin, float ymax, float zmin, float zmax)
virtual void | SetProjectToPlane (int)
virtual int | GetProjectToPlane ()
virtual void | ProjectToPlaneOn ()
virtual void | ProjectToPlaneOff ()
void | SetProjectionPosition (float position)
virtual float | GetProjectionPosition ()
virtual void | SetHandleProperty (vtkProperty *)
virtual vtkProperty * | GetHandleProperty ()
virtual void | SetSelectedHandleProperty (vtkProperty *)
virtual vtkProperty * | GetSelectedHandleProperty ()
virtual void | SetLineProperty (vtkProperty *)
virtual vtkProperty * | GetLineProperty ()
virtual void | SetSelectedLineProperty (vtkProperty *)
virtual vtkProperty * | GetSelectedLineProperty ()
void | SetNumberOfHandles (int npts)
virtual int | GetNumberOfHandles ()
void | SetResolution (int resolution)
virtual int | GetResolution ()
void | SetXSpline (vtkSpline *)
void | SetYSpline (vtkSpline *)
void | SetZSpline (vtkSpline *)
void | SetHandlePosition (int handle, float x, float y, float z)
void | SetHandlePosition (int handle, float xyz[3])
void | GetHandlePosition (int handle, float xyz[3])
float * | GetHandlePosition (int handle)
void | SetClosed (int closed)
virtual int | GetClosed ()
virtual void | ClosedOn ()
virtual void | ClosedOff ()
## Static Public Methods
vtkSplineWidget * | New ()
int | IsTypeOf (const char *type)
vtkSplineWidget * | SafeDownCast (vtkObject *o)
## Protected Types
enum | WidgetState { Start = 0, Moving, Scaling, Spinning, Outside }
## Protected Methods
| vtkSplineWidget ()
| ~vtkSplineWidget ()
void | OnLeftButtonDown ()
void | OnLeftButtonUp ()
void | OnMiddleButtonDown ()
void | OnMiddleButtonUp ()
void | OnRightButtonDown ()
void | OnRightButtonUp ()
void | OnMouseMove ()
void | ProjectPointsToPlane ()
void | ProjectPointsToOrthoPlane ()
void | ProjectPointsToObliquePlane ()
vtkSpline * | CreateDefaultSpline ()
void | HighlightLine (int highlight)
void | Initialize ()
int | HighlightHandle (vtkProp *prop)
virtual void | SizeHandles ()
void | BuildRepresentation ()
void | MovePoint (double *p1, double *p2)
void | Scale (double *p1, double *p2, int X, int Y)
void | Translate (double *p1, double *p2)
void | Spin (double *p1, double *p2, double *vpn)
void | CreateDefaultProperties ()
## Static Protected Methods
void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
## Protected Attributes
int | State
int | ProjectionNormal
float | ProjectionPosition
int | ProjectToPlane
vtkPlaneSource * | PlaneSource
vtkSpline * | XSpline
vtkSpline * | YSpline
vtkSpline * | ZSpline
int | NumberOfHandles
float * | HandlePositions
int | Closed
float | Offset
vtkActor * | LineActor
vtkPolyDataMapper * | LineMapper
vtkPolyData * | LineData
int | NumberOfSplinePoints
int | Resolution
float * | SplinePositions
vtkActor ** | Handle
vtkPolyDataMapper ** | HandleMapper
vtkSphereSource ** | HandleGeometry
vtkCellPicker * | HandlePicker
vtkCellPicker * | LinePicker
vtkActor * | CurrentHandle
int | CurrentHandleIndex
vtkTransform * | Transform
vtkProperty * | HandleProperty
vtkProperty * | SelectedHandleProperty
vtkProperty * | LineProperty
vtkProperty * | SelectedLineProperty

## Member Typedef Documentation

typedef vtk3DWidget vtkSplineWidget::Superclass

| Reimplemented from vtk3DWidget. Definition at line 126 of file vtkSplineWidget.h.

## Member Enumeration Documentation

enum vtkSplineWidget::WidgetState`[protected]`

  | Enumeration values:
  Start |
  Moving |
  Scaling |
  Spinning |
  Outside |
Definition at line 256 of file vtkSplineWidget.h.

## Constructor & Destructor Documentation

vtkSplineWidget::vtkSplineWidget | ( |  | ) | `[protected]`

vtkSplineWidget::~vtkSplineWidget | ( |  | ) | `[protected]`

## Member Function Documentation

vtkSplineWidget* vtkSplineWidget::New | ( |  | ) | `[static]`

| Instantiate the object. Reimplemented from vtkObject.

virtual const char* vtkSplineWidget::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtk3DWidget.

int vtkSplineWidget::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtk3DWidget.

virtual int vtkSplineWidget::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtk3DWidget.

vtkSplineWidget* vtkSplineWidget::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtk3DWidget.

void vtkSplineWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtk3DWidget.

virtual void vtkSplineWidget::SetEnabled | ( | int |  | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtkInteractorObserver.

virtual void vtkSplineWidget::PlaceWidget | ( | float | bounds[6] | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtk3DWidget.

void vtkSplineWidget::PlaceWidget | ( |  | ) | `[inline]`

| Methods that satisfy the superclass' API. Reimplemented from vtk3DWidget. Definition at line 133 of file vtkSplineWidget.h.

void vtkSplineWidget::PlaceWidget | ( | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | float | zmin,
|  | float | zmax
| ) | `[inline]`

| Methods that satisfy the superclass' API. Reimplemented from vtk3DWidget. Definition at line 135 of file vtkSplineWidget.h.

virtual void vtkSplineWidget::SetProjectToPlane | ( | int |  | ) | `[virtual]`

| Force the spline widget to be projected onto one of the orthogonal planes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the spline to the plane if it is orginally not aligned. The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY planes respectively and 3 for arbitrary oblique planes when the widget is tied to a vtkPlaneSource.

virtual int vtkSplineWidget::GetProjectToPlane | ( |  | ) | `[virtual]`

| Force the spline widget to be projected onto one of the orthogonal planes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the spline to the plane if it is orginally not aligned. The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY planes respectively and 3 for arbitrary oblique planes when the widget is tied to a vtkPlaneSource.

virtual void vtkSplineWidget::ProjectToPlaneOn | ( |  | ) | `[virtual]`

| Force the spline widget to be projected onto one of the orthogonal planes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the spline to the plane if it is orginally not aligned. The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY planes respectively and 3 for arbitrary oblique planes when the widget is tied to a vtkPlaneSource.

virtual void vtkSplineWidget::ProjectToPlaneOff | ( |  | ) | `[virtual]`

| Force the spline widget to be projected onto one of the orthogonal planes. Remember that when the state changes, a ModifiedEvent is invoked. This can be used to snap the spline to the plane if it is orginally not aligned. The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY planes respectively and 3 for arbitrary oblique planes when the widget is tied to a vtkPlaneSource.

void vtkSplineWidget::SetPlaneSource | ( | vtkPlaneSource * | plane | ) |

| Set up a reference to a vtkPlaneSource that could be from another widget object, e.g. a vtkPolyDataSourceWidget.

virtual void vtkSplineWidget::SetProjectionNormal | ( | int |  | ) | `[virtual]`

virtual int vtkSplineWidget::GetProjectionNormal | ( |  | ) | `[virtual]`

void vtkSplineWidget::SetProjectionNormalToXAxes | ( |  | ) | `[inline]`

| Definition at line 158 of file vtkSplineWidget.h.

void vtkSplineWidget::SetProjectionNormalToYAxes | ( |  | ) | `[inline]`

| Definition at line 160 of file vtkSplineWidget.h.

void vtkSplineWidget::SetProjectionNormalToZAxes | ( |  | ) | `[inline]`

| Definition at line 162 of file vtkSplineWidget.h.

void vtkSplineWidget::SetProjectionNormalToOblique | ( |  | ) | `[inline]`

| Definition at line 164 of file vtkSplineWidget.h.

void vtkSplineWidget::SetProjectionPosition | ( | float | position | ) |

| Set the position of spline handles and points in terms of a plane's position. i.e., if ProjectionNormal is 0, all of the x-coordinate values of the points are set to position. Any value can be passed (and is ignored) to update the spline points when Projection normal is set to 3 for arbritrary plane orientations.

virtual float vtkSplineWidget::GetProjectionPosition | ( |  | ) | `[virtual]`

| Set the position of spline handles and points in terms of a plane's position. i.e., if ProjectionNormal is 0, all of the x-coordinate values of the points are set to position. Any value can be passed (and is ignored) to update the spline points when Projection normal is set to 3 for arbritrary plane orientations.

void vtkSplineWidget::GetPolyData | ( | vtkPolyData * | pd | ) |

| Grab the polydata (including points) that defines the spline. The polydata consists of the NumberOfSplinePoints points. These point values are guaranteed to be up-to-date when either the InteractionEvent or EndInteraction events are invoked. The user provides the vtkPolyData and the points and polyline are added to it.

virtual void vtkSplineWidget::SetHandleProperty | ( | vtkProperty * |  | ) | `[virtual]`

| Set/Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be manipulated.

virtual vtkProperty* vtkSplineWidget::GetHandleProperty | ( |  | ) | `[virtual]`

| Set/Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be manipulated.

virtual void vtkSplineWidget::SetSelectedHandleProperty | ( | vtkProperty * |  | ) | `[virtual]`

| Set/Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be manipulated.

virtual vtkProperty* vtkSplineWidget::GetSelectedHandleProperty | ( |  | ) | `[virtual]`

| Set/Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be manipulated.

virtual void vtkSplineWidget::SetLineProperty | ( | vtkProperty * |  | ) | `[virtual]`

| Set/Get the line properties. The properties of the line when selected and unselected can be manipulated.

virtual vtkProperty* vtkSplineWidget::GetLineProperty | ( |  | ) | `[virtual]`

| Set/Get the line properties. The properties of the line when selected and unselected can be manipulated.

virtual void vtkSplineWidget::SetSelectedLineProperty | ( | vtkProperty * |  | ) | `[virtual]`

| Set/Get the line properties. The properties of the line when selected and unselected can be manipulated.

virtual vtkProperty* vtkSplineWidget::GetSelectedLineProperty | ( |  | ) | `[virtual]`

| Set/Get the line properties. The properties of the line when selected and unselected can be manipulated.

void vtkSplineWidget::SetNumberOfHandles | ( | int | npts | ) |

| Set/Get the number of handles for this widget.

virtual int vtkSplineWidget::GetNumberOfHandles | ( |  | ) | `[virtual]`

| Set/Get the number of handles for this widget.

void vtkSplineWidget::SetResolution | ( | int | resolution | ) |

| Set/Get the number of line segments representing the spline for this widget.

virtual int vtkSplineWidget::GetResolution | ( |  | ) | `[virtual]`

| Set/Get the number of line segments representing the spline for this widget.

void vtkSplineWidget::SetXSpline | ( | vtkSpline * |  | ) |

| Set the spline objects. The user can supply one of currently two types of spline: vtkCardinalSpline, vtkKochanekSpline. WARNING: The widget does not enforce internal consistency so that all three are of the same type.

void vtkSplineWidget::SetYSpline | ( | vtkSpline * |  | ) |

| Set the spline objects. The user can supply one of currently two types of spline: vtkCardinalSpline, vtkKochanekSpline. WARNING: The widget does not enforce internal consistency so that all three are of the same type.

void vtkSplineWidget::SetZSpline | ( | vtkSpline * |  | ) |

| Set the spline objects. The user can supply one of currently two types of spline: vtkCardinalSpline, vtkKochanekSpline. WARNING: The widget does not enforce internal consistency so that all three are of the same type.

void vtkSplineWidget::SetHandlePosition | ( | int | handle,
|  | float | x,
|  | float | y,
|  | float | z
| ) |

| Set/Get the position of the spline handles. Call GetNumberOfHandles to determine the valid range of handle indices.

void vtkSplineWidget::SetHandlePosition | ( | int | handle,
|  | float | xyz[3]
| ) |

| Set/Get the position of the spline handles. Call GetNumberOfHandles to determine the valid range of handle indices.

void vtkSplineWidget::GetHandlePosition | ( | int | handle,
|  | float | xyz[3]
| ) |

| Set/Get the position of the spline handles. Call GetNumberOfHandles to determine the valid range of handle indices.

float* vtkSplineWidget::GetHandlePosition | ( | int | handle | ) |

| Set/Get the position of the spline handles. Call GetNumberOfHandles to determine the valid range of handle indices.

void vtkSplineWidget::SetClosed | ( | int | closed | ) |

| Control whether the spline is open or closed. A closed spline forms a continuous loop: the first and last points are the same, and derivatives are continuous. This method enforces consistency with user supplied subclasses of vtkSpline.

virtual int vtkSplineWidget::GetClosed | ( |  | ) | `[virtual]`

| Control whether the spline is open or closed. A closed spline forms a continuous loop: the first and last points are the same, and derivatives are continuous. This method enforces consistency with user supplied subclasses of vtkSpline.

virtual void vtkSplineWidget::ClosedOn | ( |  | ) | `[virtual]`

| Control whether the spline is open or closed. A closed spline forms a continuous loop: the first and last points are the same, and derivatives are continuous. This method enforces consistency with user supplied subclasses of vtkSpline.

virtual void vtkSplineWidget::ClosedOff | ( |  | ) | `[virtual]`

| Control whether the spline is open or closed. A closed spline forms a continuous loop: the first and last points are the same, and derivatives are continuous. This method enforces consistency with user supplied subclasses of vtkSpline.

float vtkSplineWidget::GetSummedLength | ( |  | ) |

| Get the approximate vs. the true arc length of the spline. Calculated as the summed lengths of the individual straight line segments. Use SetResolution to control the accuracy.

void vtkSplineWidget::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) | `[static, protected]`

| Handles the char widget activation event. Also handles the delete event. Reimplemented from vtkInteractorObserver.

void vtkSplineWidget::OnLeftButtonDown | ( |  | ) | `[protected]`

void vtkSplineWidget::OnLeftButtonUp | ( |  | ) | `[protected]`

void vtkSplineWidget::OnMiddleButtonDown | ( |  | ) | `[protected]`

void vtkSplineWidget::OnMiddleButtonUp | ( |  | ) | `[protected]`

void vtkSplineWidget::OnRightButtonDown | ( |  | ) | `[protected]`

void vtkSplineWidget::OnRightButtonUp | ( |  | ) | `[protected]`

void vtkSplineWidget::OnMouseMove | ( |  | ) | `[protected]`

void vtkSplineWidget::ProjectPointsToPlane | ( |  | ) | `[protected]`

void vtkSplineWidget::ProjectPointsToOrthoPlane | ( |  | ) | `[protected]`

void vtkSplineWidget::ProjectPointsToObliquePlane | ( |  | ) | `[protected]`

vtkSpline* vtkSplineWidget::CreateDefaultSpline | ( |  | ) | `[protected]`

void vtkSplineWidget::HighlightLine | ( | int | highlight | ) | `[protected]`

void vtkSplineWidget::Initialize | ( |  | ) | `[protected]`

int vtkSplineWidget::HighlightHandle | ( | vtkProp * | prop | ) | `[protected]`

virtual void vtkSplineWidget::SizeHandles | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtk3DWidget.

void vtkSplineWidget::BuildRepresentation | ( |  | ) | `[protected]`

void vtkSplineWidget::MovePoint | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkSplineWidget::Scale | ( | double * | p1,
|  | double * | p2,
|  | int | X,
|  | int | Y
| ) | `[protected]`

void vtkSplineWidget::Translate | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkSplineWidget::Spin | ( | double * | p1,
|  | double * | p2,
|  | double * | vpn
| ) | `[protected]`

void vtkSplineWidget::CreateDefaultProperties | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkSplineWidget::State`[protected]`

| Definition at line 255 of file vtkSplineWidget.h.

int vtkSplineWidget::ProjectionNormal`[protected]`

| Definition at line 282 of file vtkSplineWidget.h.

float vtkSplineWidget::ProjectionPosition`[protected]`

| Definition at line 283 of file vtkSplineWidget.h.

int vtkSplineWidget::ProjectToPlane`[protected]`

| Definition at line 284 of file vtkSplineWidget.h.

vtkPlaneSource* vtkSplineWidget::PlaneSource`[protected]`

| Definition at line 285 of file vtkSplineWidget.h.

vtkSpline* vtkSplineWidget::XSpline`[protected]`

| Definition at line 293 of file vtkSplineWidget.h.

vtkSpline* vtkSplineWidget::YSpline`[protected]`

| Definition at line 294 of file vtkSplineWidget.h.

vtkSpline* vtkSplineWidget::ZSpline`[protected]`

| Definition at line 295 of file vtkSplineWidget.h.

int vtkSplineWidget::NumberOfHandles`[protected]`

| Definition at line 296 of file vtkSplineWidget.h.

float* vtkSplineWidget::HandlePositions`[protected]`

| Definition at line 297 of file vtkSplineWidget.h.

int vtkSplineWidget::Closed`[protected]`

| Definition at line 299 of file vtkSplineWidget.h.

float vtkSplineWidget::Offset`[protected]`

| Definition at line 300 of file vtkSplineWidget.h.

vtkActor* vtkSplineWidget::LineActor`[protected]`

| Definition at line 303 of file vtkSplineWidget.h.

vtkPolyDataMapper* vtkSplineWidget::LineMapper`[protected]`

| Definition at line 304 of file vtkSplineWidget.h.

vtkPolyData* vtkSplineWidget::LineData`[protected]`

| Definition at line 305 of file vtkSplineWidget.h.

int vtkSplineWidget::NumberOfSplinePoints`[protected]`

| Definition at line 307 of file vtkSplineWidget.h.

int vtkSplineWidget::Resolution`[protected]`

| Definition at line 308 of file vtkSplineWidget.h.

float* vtkSplineWidget::SplinePositions`[protected]`

| Definition at line 309 of file vtkSplineWidget.h.

vtkActor** vtkSplineWidget::Handle`[protected]`

| Definition at line 312 of file vtkSplineWidget.h.

vtkPolyDataMapper** vtkSplineWidget::HandleMapper`[protected]`

| Definition at line 313 of file vtkSplineWidget.h.

vtkSphereSource** vtkSplineWidget::HandleGeometry`[protected]`

| Definition at line 314 of file vtkSplineWidget.h.

vtkCellPicker* vtkSplineWidget::HandlePicker`[protected]`

| Definition at line 321 of file vtkSplineWidget.h.

vtkCellPicker* vtkSplineWidget::LinePicker`[protected]`

| Definition at line 322 of file vtkSplineWidget.h.

vtkActor* vtkSplineWidget::CurrentHandle`[protected]`

| Definition at line 323 of file vtkSplineWidget.h.

int vtkSplineWidget::CurrentHandleIndex`[protected]`

| Definition at line 324 of file vtkSplineWidget.h.

vtkTransform* vtkSplineWidget::Transform`[protected]`

| Definition at line 333 of file vtkSplineWidget.h.

vtkProperty* vtkSplineWidget::HandleProperty`[protected]`

| Definition at line 337 of file vtkSplineWidget.h.

vtkProperty* vtkSplineWidget::SelectedHandleProperty`[protected]`

| Definition at line 338 of file vtkSplineWidget.h.

vtkProperty* vtkSplineWidget::LineProperty`[protected]`

| Definition at line 339 of file vtkSplineWidget.h.

vtkProperty* vtkSplineWidget::SelectedLineProperty`[protected]`

| Definition at line 340 of file vtkSplineWidget.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkSplineWidget.h